Bug 755004 (CVE-2011-4319)

Summary: CVE-2011-4319 rubygem-actionpack: XSS in the 'translate' helper method
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: lutter, mastahnke, mmorsi, sseago, tkramer, vanmeeuwen+fedora, vdanen, vondruch
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20111118,reported=20111118,source=gentoo,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,cloudformscommon-1/rubygem-actionpack=affected,sam-1/rubygem-actionpack=affected,openshift-1/rubygem-actionpack=affected,fedora-all/rubygem-actionpack=affected,epel-5/rubygem-actionpack=notaffected,cwe=CWE-79[auto]
Fixed In Version: rubygem-actionpack 3.0.11, rubygem-actionpack 3.1.2 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-24 11:37:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 755006, 755007, 760922, 813126    
Bug Blocks: 755014    

Description Jan Lieskovsky 2011-11-18 09:46:23 EST
A cross-site scripting (XSS) flaw was found in the way the 'translate' helper method of the Ruby on Rails performed HTML escaping of interpolated user input, when interpolation in combination with HTML-safe translations were used. A remote attacker could use this flaw to execute arbitrary HTML or web script by providing a specially-crafted input to Ruby on Rails application, using the ActionPack module and its 'translate' helper method without explicit (application specific) sanitization of user provided input.

References:
[1] http://weblog.rubyonrails.org/2011/11/18/rails-3-1-2-has-been-released
[2] http://weblog.rubyonrails.org/2011/11/18/rails-3-0-11-has-been-released
[3] https://secunia.com/advisories/46877/
[4] https://bugs.gentoo.org/show_bug.cgi?id=390915

Relevant upstream patches:
[5] http://groups.google.com/group/rubyonrails-security/browse_thread/thread/2b61d70fb73c7cc5
Comment 1 Jan Lieskovsky 2011-11-18 09:48:01 EST
This issue affects the versions of the rubygem-actionpack package, as shipped with Fedora release of 16 and 15. Please schedule an update.

--

This issue did NOT affect the version of the rubygem-actionpack package, as shipped with Fedora release of 14.

--

This issue did NOT affect the version of the rubygem-actionpack package, as shipped with Fedora EPEL 5.
Comment 2 Jan Lieskovsky 2011-11-18 09:49:20 EST
Created rubygem-actionpack tracking bugs for this issue

Affects: fedora-16 [bug 755006]
Affects: fedora-15 [bug 755007]
Comment 3 Jan Lieskovsky 2011-11-18 09:54:30 EST
CVE request:
[6] http://www.openwall.com/lists/oss-security/2011/11/18/6
Comment 4 Vincent Danen 2011-11-18 14:19:47 EST
This issue was given the name CVE-2011-4319:

http://www.openwall.com/lists/oss-security/2011/11/18/8
Comment 5 Vincent Danen 2011-11-28 12:22:52 EST
This is corrected in upstream versions 3.0.11 and 3.1.2 (but 3.1.3 is recommended due to regressions in 3.1.2).

http://weblog.rubyonrails.org/2011/11/20/rails-3-1-3-has-been-released